2004-09-15 19:55 Ray Johnston

>     Remove trailing ^M (<cr>) characters from commits by alexcher.

> [lib/dumphint.ps 1.1.4.2, src/dwdll.c 1.5.2.2, src/dwimg.c 1.8.2.3, src/dwnodll.c 1.4.2.2, src/errors.h 1.7.2.2, src/gp_dosfs.c 1.14.2.2, src/gp_vms.c 1.29.2.2, src/gscolor.c 1.10.2.2, src/gscolor1.c 1.8.2.2, src/windows_.h 1.4.2.2]

2004-09-15 06:27 Ralph Giles

>     Update the change logs for release.

> [doc/Changes.htm 1.43.2.7, doc/Details.htm 1.1.2.7, doc/Details8.htm 1.5.2.14, doc/History8.htm 1.1.2.14]

2004-09-15 05:06 Ralph Giles

>     Correct an ordering issue and a typo in the header dependencies.

> [src/lib.mak 1.126.2.10]

2004-09-15 04:59 Ralph Giles

>     Require the lastest zlib-1.2.1 release when compiling in that 3rd party
>     library. Dynamic linking against a separately built zlib 1.1.x still
>     works. Porting change from HEAD.

> [doc/Make.htm 1.63.2.8, src/zlib.mak 1.7.2.1]

2004-09-15 04:25 Ralph Giles

>     Update the release date and News.

> [doc/API.htm 1.31.2.7, doc/Bug-form.htm 1.34.2.7, doc/Bug-info.htm 1.32.2.7, doc/C-style.htm 1.40.2.7, doc/Commprod.htm 1.26.2.7, doc/DLL.htm 1.27.2.7, doc/Deprecated.htm 1.6.2.7, doc/Details8.htm 1.5.2.13, doc/Develop.htm 1.110.2.10, doc/Devices.htm 1.63.2.8, doc/Drivers.htm 1.37.2.7, doc/Fonts.htm 1.35.2.7, doc/Helpers.htm 1.29.2.7, doc/History1.htm 1.25.2.7, doc/History2.htm 1.25.2.7, doc/History3.htm 1.25.2.7, doc/History4.htm 1.25.2.7, doc/History5.htm 1.27.2.7, doc/History6.htm 1.42.2.7, doc/History7.htm 1.30.2.7, doc/History8.htm 1.1.2.13, doc/Htmstyle.htm 1.30.2.7, doc/Install.htm 1.39.2.7, doc/Issues.htm 1.34.2.7, doc/Language.htm 1.68.2.8, doc/Lib.htm 1.28.2.7, doc/Maintain.htm 1.36.2.7, doc/Make.htm 1.63.2.7, doc/New-user.htm 1.44.2.7, doc/News.htm 1.123.2.12, doc/Projects.htm 1.49.2.7, doc/Ps-style.htm 1.23.2.7, doc/Ps2epsi.htm 1.27.2.7, doc/Ps2pdf.htm 1.51.2.12, doc/Psfiles.htm 1.43.2.7, doc/Readme.htm 1.48.2.10, doc/Release.htm 1.76.2.7, doc/Source.htm 1.25.2.7, doc/Tester.htm 1.25.2.7, doc/Testing.htm 1.17.2.7, doc/Unix-lpr.htm 1.25.2.7, doc/Use.htm 1.81.2.9, doc/Xfonts.htm 1.25.2.7, doc/gs-vms.hlp 1.24.2.5, man/dvipdf.1 1.22.2.7, man/font2c.1 1.22.2.7, man/gs.1 1.23.2.7, man/gslp.1 1.22.2.7, man/gsnd.1 1.22.2.7, man/pdf2dsc.1 1.21.2.7, man/pdf2ps.1 1.23.2.7, man/pdfopt.1 1.21.2.7, man/pf2afm.1 1.22.2.7, man/pfbtopfa.1 1.23.2.7, man/printafm.1 1.22.2.7, man/ps2ascii.1 1.21.2.7, man/ps2epsi.1 1.20.2.7, man/ps2pdf.1 1.27.2.7, man/ps2pdfwr.1 1.26.2.7, man/ps2ps.1 1.29.2.7, man/wftopfa.1 1.22.2.7, src/version.mak 1.60.2.9]

2004-09-14 21:38 Russell Lang

>     Add custom page size to PostScript Printer Description file.

> [lib/ghostpdf.ppd 1.1.2.2]

2004-09-13 22:32 Ray Johnston (details)

>     Ignore MediaPosition when selecting a media type. Adobe CPSI does it this
>     way, and the PLRM suggests that this is advisory only. Bug 687547 for
>     customer 780.

> [lib/gs_setpd.ps 1.18.2.3]

2004-09-13 22:16 Ray Johnston

>     Handle arrays as well as name operands to CS/cs in PDF files. Adobe PDF
>     Library + Adobe InDesign create PDFs that violate the spec. Bug 687610
>     for customer 770 (fix ported from HEAD).

> [lib/pdf_draw.ps 1.66.2.5]

2004-09-13 07:22 Igor Melichev (details)

>     Porting a recent patch from HEAD (September 13) :
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-September/004802.html  (1075)
>     Fix : Improve the error reporting about a dangling resource map record.

> [lib/gs_cidfm.ps 1.5.2.1]

2004-09-09 20:56 Ray Johnston

>     Fixes for security problems not fixed in previous commit and fixes for
>     other problems identified by SaGS in bug report -- detecting recursion,
>     allowing r/w strings in procedures (but not in PermitFile arrays).
>     Bug 687559. Changes ported from HEAD rev,

> [lib/gs_lev2.ps 1.29.2.5]

2004-09-09 11:45 Igor Melichev (details)

>     Porting a recent patch from HEAD :

>     9 Sent 2004 :
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-September/004794.html  (1070)
>     (pdfwrite) : Implementing a dynamic recongnition for Type 3 charproc variations (continued 7).

> [src/gdevpdte.c 1.33.2.12]

2004-09-08 06:30 Ralph Giles

>     Propagate autotools build system changes from HEAD.

>     Corrects some formatting errors in the 'clean' targets.
>     More specific tests for local library source code.
>     Properly pass HAVE_HYPOT to the makefile if it is detected.

> [src/Makefile.in 1.24.2.5, src/configure.ac 1.28.2.8]

2004-09-06 22:11 Ralph Giles

>     Change regression test flags to use new JOBSERVER flag. Older flags are
>     retained to allow older regression testing to still use this module.
>     Change propagated from HEAD.

> [toolbin/tests/gstestgs.py 1.19.2.4]

2004-09-06 15:40 Ray Johnston (details)

>     Add some job server related support. The -dJOBSERVER option defines the
>     ^D to start a new encapsulated job, and the ^D is changed to be a self-
>     delimitting token in the scanner. Fixes 687079.

> [doc/Use.htm 1.81.2.8, lib/gs_init.ps 1.87.2.9, lib/gs_lev2.ps 1.29.2.4, src/scantab.c 1.4.2.1]

2004-09-03 11:07 Ralph Giles

>     Add missing Id lines to files that need them.

> [doc/gs.css 1.2.2.1, lib/pdf_ops.ps 1.27.2.3, src/gxclrast.c 1.26.2.4]

2004-09-02 22:38 Dan Coby (details)

>     Fix for 687651 SEGV on GS_8_1X branch with banding Altona_Visual_sb_1v1_x3.pdf.

> [src/gxclrast.c 1.26.2.3]

2004-09-02 21:52 Ralph Giles

>     Use the MTIME define from the stat module rather than a numerical index
>     to specify the modification time in python. Propagates a similar change
>     from gscheck_raster.py.

> [toolbin/tests/gscheck_pdfwrite.py 1.13.2.4]

2004-08-31 22:11 Dan Coby (details)

>     Fix for 687640 Unable to set default halftones for PDF.

> [lib/pdf_draw.ps 1.66.2.4]

2004-08-31 20:23 Ralph Giles

>     Refer to the modification time using the built-in enum, rather than
>     an absolute number. Both more clear and less accident prone. Backported
>     fix from HEAD.

> [toolbin/tests/gscheck_raster.py 1.3.2.5]

2004-08-31 20:22 Ray Johnston

>     Fix ResourceForAll Category procedure to make sure that the path given
>     by GenericResourceDir systemparam is included in the enumeration.
>     Bug 687641.

> [lib/gs_res.ps 1.33.2.2]

2004-08-31 20:07 Ray Johnston (details)

>     Add (most of) the new CMap files and updated CMaps from HEAD rev.
>     Problematic CMaps were omitted for now.

> [Resource/CMap/83pv-RKSJ-H 1.1.2.1, Resource/CMap/90ms-RKSJ-H 1.1.2.1, Resource/CMap/90ms-RKSJ-UCS2 1.1.2.1, Resource/CMap/90ms-RKSJ-V 1.1.2.1, Resource/CMap/90msp-RKSJ-H 1.1.2.1, Resource/CMap/90msp-RKSJ-V 1.1.2.1, Resource/CMap/90pv-RKSJ-H 1.1.2.1, Resource/CMap/90pv-RKSJ-UCS2 1.1.2.1, Resource/CMap/90pv-RKSJ-UCS2C 1.1.2.1, Resource/CMap/90pv-RKSJ-V 1.1.2.1, Resource/CMap/Add-RKSJ-H 1.1.2.1, Resource/CMap/Add-RKSJ-V 1.1.2.1, Resource/CMap/Adobe-CNS1-B5pc 1.1.2.1, Resource/CMap/Adobe-CNS1-H-CID 1.1.2.1, Resource/CMap/Adobe-CNS1-H-Host 1.1.2.1, Resource/CMap/Adobe-CNS1-H-Mac 1.1.2.1, Resource/CMap/Adobe-GB1-GBK-EUC 1.1.2.1, Resource/CMap/Adobe-GB1-GBpc-EUC 1.1.2.1, Resource/CMap/Adobe-GB1-H-CID 1.1.2.1, Resource/CMap/Adobe-GB1-H-Host 1.1.2.1, Resource/CMap/Adobe-GB1-H-Mac 1.1.2.1, Resource/CMap/Adobe-Japan1-90ms-RKSJ 1.1.2.1, Resource/CMap/Adobe-Japan1-90pv-RKSJ 1.1.2.1, Resource/CMap/Adobe-Japan1-H-CID 1.1.2.1, Resource/CMap/Adobe-Japan1-H-Host 1.1.2.1, Resource/CMap/Adobe-Japan1-H-Mac 1.1.2.1, Resource/CMap/Adobe-Japan1-PS-H 1.1.2.1, Resource/CMap/Adobe-Japan1-PS-V 1.1.2.1, Resource/CMap/Adobe-Japan1-UCS2 1.1.2.1, Resource/CMap/Adobe-Korea1-H-CID 1.1.2.1, Resource/CMap/Adobe-Korea1-H-Host 1.1.2.1, Resource/CMap/Adobe-Korea1-KSCms-UHC 1.1.2.1, Resource/CMap/Adobe-Korea1-KSCpc-EUC 1.1.2.1, Resource/CMap/Adobe-Korea1-UCS2 1.1.2.1, Resource/CMap/B5pc-H 1.1.2.1, Resource/CMap/B5pc-UCS2 1.1.2.1, Resource/CMap/B5pc-UCS2C 1.1.2.1, Resource/CMap/B5pc-V 1.1.2.1, Resource/CMap/CNS-EUC-H 1.1.2.1, Resource/CMap/CNS-EUC-V 1.1.2.1, Resource/CMap/EUC-H 1.1.2.1, Resource/CMap/EUC-V 1.1.2.1, Resource/CMap/Ext-RKSJ-H 1.1.2.1, Resource/CMap/Ext-RKSJ-V 1.1.2.1, Resource/CMap/GB-EUC-H 1.1.2.1, Resource/CMap/GB-EUC-V 1.1.2.1, Resource/CMap/GBK-EUC-H 1.1.2.1, Resource/CMap/GBK-EUC-UCS2 1.1.2.1, Resource/CMap/GBK-EUC-V 1.1.2.1, Resource/CMap/GBK2K-H 1.1.2.1, Resource/CMap/GBK2K-V 1.1.2.1, Resource/CMap/GBKp-EUC-H 1.1.2.1, Resource/CMap/GBKp-EUC-V 1.1.2.1, Resource/CMap/GBT-EUC-H 1.1.2.1, Resource/CMap/GBT-EUC-V 1.1.2.1, Resource/CMap/GBpc-EUC-H 1.1.2.1, Resource/CMap/GBpc-EUC-UCS2 1.1.2.1, Resource/CMap/GBpc-EUC-UCS2C 1.1.2.1, Resource/CMap/GBpc-EUC-V 1.1.2.1, Resource/CMap/H 1.1.2.1, Resource/CMap/HKdla-B5-H 1.1.2.1, Resource/CMap/HKdla-B5-V 1.1.2.1, Resource/CMap/HKdlb-B5-H 1.1.2.1, Resource/CMap/HKdlb-B5-V 1.1.2.1, Resource/CMap/HKgccs-B5-H 1.1.2.1, Resource/CMap/HKgccs-B5-V 1.1.2.1, Resource/CMap/HKm314-B5-H 1.1.2.1, Resource/CMap/HKm314-B5-V 1.1.2.1, Resource/CMap/HKm471-B5-H 1.1.2.1, Resource/CMap/HKm471-B5-V 1.1.2.1, Resource/CMap/HKscs-B5-H 1.1.2.1, Resource/CMap/HKscs-B5-V 1.1.2.1, Resource/CMap/Identity-H 1.1.4.2, Resource/CMap/Identity-V 1.1.4.2, Resource/CMap/KSC-EUC-H 1.1.2.1, Resource/CMap/KSC-EUC-V 1.1.2.1, Resource/CMap/KSCms-UHC-H 1.1.2.1, Resource/CMap/KSCms-UHC-HW-H 1.1.2.1, Resource/CMap/KSCms-UHC-HW-V 1.1.2.1, Resource/CMap/KSCms-UHC-UCS2 1.1.2.1, Resource/CMap/KSCms-UHC-V 1.1.2.1, Resource/CMap/KSCpc-EUC-H 1.1.2.1, Resource/CMap/KSCpc-EUC-UCS2 1.1.2.1, Resource/CMap/KSCpc-EUC-UCS2C 1.1.2.1, Resource/CMap/UCS2-90ms-RKSJ 1.1.2.1, Resource/CMap/UCS2-90pv-RKSJ 1.1.2.1, Resource/CMap/UCS2-B5pc 1.1.2.1, Resource/CMap/UCS2-GBK-EUC 1.1.2.1, Resource/CMap/UCS2-GBpc-EUC 1.1.2.1, Resource/CMap/UCS2-KSCms-UHC 1.1.2.1, Resource/CMap/UCS2-KSCpc-EUC 1.1.2.1, Resource/CMap/UniCNS-UCS2-H 1.1.2.1, Resource/CMap/UniCNS-UCS2-V 1.1.2.1, Resource/CMap/UniGB-UCS2-H 1.1.2.1, Resource/CMap/UniGB-UCS2-V 1.1.2.1, Resource/CMap/UniJIS-UCS2-H 1.1.2.1, Resource/CMap/UniJIS-UCS2-HW-H 1.1.2.1, Resource/CMap/UniJIS-UCS2-HW-V 1.1.2.1, Resource/CMap/UniJIS-UCS2-V 1.1.2.1, Resource/CMap/UniKS-UCS2-H 1.1.2.1, Resource/CMap/UniKS-UCS2-V 1.1.2.1, Resource/CMap/V 1.1.2.1]

2004-08-31 18:18 Ray Johnston

>     Previous commit inadvertently included some changes related to PDF 1.5
>     extensions. Remove those sections (ObjectStream and xrefstream).

> [lib/pdf_base.ps 1.34.2.3, lib/pdf_main.ps 1.71.2.5]

2004-08-31 04:03 Ray Johnston (details)

>     Port fixes from the HEAD rev to GS_8_1X branch in preparation for the
>     8.15 GPL release. Fixes from Ray Johnston and Alex Cherepanov.

> [Resource/ColorSpace/DefaultCMYK 1.2.2.2, Resource/ColorSpace/DefaultGray 1.2.2.2, Resource/ColorSpace/DefaultRGB 1.2.2.2, lib/gs_init.ps 1.87.2.8, lib/gs_type1.ps 1.14.2.1, lib/pdf_base.ps 1.34.2.2, lib/pdf_draw.ps 1.66.2.3, lib/pdf_font.ps 1.53.2.5, lib/pdf_main.ps 1.71.2.4, lib/pdf_ops.ps 1.27.2.2, lib/ps2ascii.ps 1.7.2.2, src/gdevpdf.c 1.67.2.11, src/gdevpdfg.c 1.31.2.5, src/gsdevmem.c 1.4.2.2, src/gsmisc.c 1.15.2.1, src/gxclrast.c 1.26.2.2, src/gxhintn.c 1.21.2.9, src/gximage3.c 1.11.2.2, src/iccfont.c 1.7.2.2, src/iscan.c 1.13.2.2, src/iscan.h 1.8.2.1, src/iscannum.c 1.6.2.2, src/stream.c 1.21.2.2, src/zdevice.c 1.7.2.1, src/zfileio.c 1.15.2.1, src/zfont42.c 1.14.2.2, src/ztoken.c 1.10.2.2, toolbin/pdfinflt.ps 1.4.2.1]

2004-08-30 20:59 Igor Melichev (details)

>     Porting recent changes from HEAD to GS_8_1X.

>     August 18-24 :
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-August/004709.html    (1053)
>     Fix (pdfwrite) : Wrong glyph positions with CIDFontType2 with no vmtx.

>     http://www.ghostscript.com/pipermail/gs-cvs/2004-August/004714.html    (1054)
>     Fix (pdfwrite) : Check for glyph name conflicts while font merging.

>     http://www.ghostscript.com/pipermail/gs-cvs/2004-August/004726.html    (1057)
>     Fix (TT interpreter) : A minor portability problem.

>     http://www.ghostscript.com/pipermail/gs-cvs/2004-August/004727.html    (1056)
>     Fix (TT interpreter) : Provide a tolerance to an inconsistent cvt length.'

>     http://www.ghostscript.com/pipermail/gs-cvs/2004-August/004730.html    (1060)
>     Fix (pdfwrite) : A page compression type change could cause a crash.

> [src/gdevpdf.c 1.67.2.10, src/gdevpdfu.c 1.40.2.8, src/gdevpdfx.h 1.68.2.8, src/gdevpdtt.c 1.43.2.11, src/gxfcopy.c 1.25.2.6, src/ttinterp.c 1.11.2.5, src/ttload.c 1.4.4.2]

2004-08-30 16:54 Ray Johnston

>     Fix for security problems with user parameters, in particular the
>     /PermitFileReading array. Also corrects handling of parameter arrays
>     that contain a 'mark'. Fixes bug 687559. Thanks to mat. Gh. Savulescu
>     (SaGS) for the bug report and for a suggested patch.

> [lib/gs_lev2.ps 1.29.2.3]

2004-08-29 16:39 Ray Johnston

>     Incoprorate some fixes and changes from the HEAD to the GS_8_1X branch.
>     Bugs 687409, 686949, 629335 and minor spelling and format corrections.

> [doc/Use.htm 1.81.2.7]

2004-08-27 21:36 Dan Coby

>     Include the following patches from the head branch;

>     Fix for 687274 White areas appear shaded.

>     Fix for 687337 Zerodivide in cie_cache_mult.

>     Fix for 687364 rangecheck in buildshading2 from Quark XPress PS file.
>     This fix involves the creation of the findcmykcustomcolor and
>     setcustomcolor functions.

>     Fix for 687390 GhostScript 8.11 inserts rendering artifacts
>     with GIFs as source.  The actual problem is an error which
>     resulted in a pale yellow being shown as a pale pink.  This
>     occurs when dithering on devices which use a 256 color palette.

>     Fix for 687402 Missing color on annots.pdf.  This is actually
>     not an error.  Instead it is due to some confusion about the
>     displaying of link annotations.

>     Fix 687189 for bbox_forward_add_rect infinite recursion.
>     This problem caused segment faults or apparent hangs with
>     the x11alpha device.  This fix also works for 656414
>     segfault when using x11alpha.

>     Fix for 687441 New: MSVC warnings.  Correct some warning messages from
>     MSVC.

>     Fix for 687453 Problem with overprinting and shading.

>     Change the default handling of the MaxSeparations device parameter.  This
>     parameter is only used by some of the DeviceN mode devices (which have
>     their own handling of this parameter).  The default handler now simply
>     ignores this parameter.  However it does read the parameter.  Not reading
>     the parameter was causing problems with PDF files and page devices.

>     Fix for 687553 rangecheck in .sethalftone5 and SeparationOrder.

>     Fix for 687572 AFPL Ghostscript 8.14 fails with some PDF files.

>     More work upon 687551 Implement the remaining TN 5044 procedures.
>     This commit implements the setcmykoverprint procedure.

> [examples/annots.pdf 1.1.10.1, lib/gs_init.ps 1.87.2.7, lib/gs_lev2.ps 1.29.2.2, lib/pdf_draw.ps 1.66.2.2, lib/pdf_main.ps 1.71.2.3, lib/pdf_rbld.ps 1.4.4.2, src/devs.mak 1.91.2.9, src/dwimg.c 1.8.2.2, src/dwmain.c 1.12.2.2, src/dwmainc.c 1.14.2.2, src/gdevbbox.c 1.11.2.3, src/gdevbmp.c 1.8.2.1, src/gdevcgm.c 1.6.2.2, src/gdevdevn.c 1.5.2.4, src/gdevdevn.h 1.2.4.2, src/gdevm64.c 1.1.2.1, src/gdevp2up.c 1.4.2.1, src/gdevpccm.c 1.5.2.1, src/gdevpccm.h 1.6.2.1, src/gdevpcx.c 1.5.2.1, src/gdevpng.c 1.7.2.3, src/gdevpsd.c 1.4.2.3, src/gdevsvga.c 1.5.2.1, src/gdevwdib.c 1.7.2.1, src/gdevwpr2.c 1.15.2.1, src/gscie.c 1.13.2.2, src/gsdparam.c 1.12.2.1, src/gsht.c 1.16.2.3, src/unistd_.h 1.8.2.2]

2004-08-19 10:56 Russell Lang

>     Add a PPD for PostScript to be used by ghostscript ps2pdf.

> [doc/Develop.htm 1.110.2.9, doc/Ps2pdf.htm 1.51.2.11, lib/ghostpdf.inf 1.1.2.1, lib/ghostpdf.ppd 1.1.2.1]

2004-08-18 03:06 Russell Lang

>     Change product name to GPL Ghostscript.

> [src/dwreg.c 1.3.2.1, src/dwsetup.cpp 1.8.2.1, src/dwsetup.def 1.2.8.2, src/dwsetup.rc 1.10.2.2, src/dwuninst.cpp 1.4.2.1, src/dwuninst.def 1.2.8.2, src/gp_wgetv.c 1.6.2.1, src/winint.mak 1.18.2.3]

2004-08-17 19:52 Ralph Giles

>     Change product name to GPL Ghostscript and update version number for the
>     release.

> [doc/News.htm 1.123.2.11, lib/gs_init.ps 1.87.2.6, src/gscdef.c 1.33.2.4, src/version.mak 1.60.2.8]

2004-08-17 19:49 Ralph Giles

>     Relicence the 8.1x stable branch under the GNU GPL.

> [LICENSE 1.2.2.3, doc/COPYING 1.1.8.1, doc/Copying.htm 1.25.2.7, doc/Readme.htm 1.48.2.9]

2004-08-17 19:41 Ralph Giles

>     Remove references to the FreeType license. Artifex Software, Inc. has
>     obtained rights to the FreeType 1 code and the work included here is
>     relicensed under the same terms as the rest of the Ghostscript code.

> [LICENSE 1.2.2.2, doc/FTL.txt 1.1.2.2]

2004-08-11 13:12 Ray Johnston

>     Import fixes from HEAD branch to 81X branch. Fixes for bugs 687038, 687325,
>     687436 and 687458. Also added the -dNORANGEPAGESIZE feature since it is
>     zero risk.

> [lib/gs_pdfwr.ps 1.31.2.3, lib/gs_setpd.ps 1.18.2.2]

2004-08-04 15:20 Ray Johnston

>     Fix missing / in last commit by Igor that caused PS /undefined error.
>     Also apply Alex's 1.38 patch to this branch to handle zero length
>     tables (bug 687457).

> [lib/gs_ttf.ps 1.28.2.5]

2004-08-02 03:33 Igor Melichev (details)

>     Fix : .OrigFont was not provided when an embeded font is defined.

> [lib/gs_fonts.ps 1.28.2.3]

2004-07-29 19:26 Igor Melichev (details)

>     Fix : True Type font loader : numLoca run out the PS string size limit.

> [lib/gs_ttf.ps 1.28.2.4]

2004-07-29 17:53 Igor Melichev (details)

>     1. Fix (PS interpreter) : The FontBBox validation check was too strong.
>     2. Fix (pdfwrite) : Explicitely set line parameters in a charproc.

> [src/gdevpdtt.c 1.43.2.10, src/gslparam.h 1.4.2.1, src/zchar.c 1.10.2.2]

2004-07-15 12:47 Igor Melichev (details)

>     Fix (pdfwrite) : text.operation was inconsistent after replacing TEXT_FROM_GLYPHS.

> [src/gdevpdtc.c 1.17.2.5, src/gdevpdte.c 1.33.2.11]

2004-07-07 09:20 Russell Lang (details)

>     In the Windows %printer% IODevice, the existing thread handle
>     is closed automatically when the thread finishes.  Duplicate
>     the thread handle so we always have a valid handle for waiting
>     and closing.

> [src/gp_msprn.c 1.3.2.1]

2004-07-07 09:19 Russell Lang

>     Fixes bug 687562 "vector devices close output file incorrectly".
>     Vector devices open the output file with gx_device_open_output_file,
>     so should close it with gx_device_close_output_file, not fclose.
>     This was preventing pswrite from correctly closing special
>     files such as "%printer%Printer Name" on Windows and OS/2.

> [src/gdevvec.c 1.18.2.3]

2004-07-01 19:28 Igor Melichev (details)

>     (pdfwrite) : Implementing a dynamic recongnition for Type 3 charproc variations (continued 6).

> [src/gdevpdtt.c 1.43.2.9]

2004-07-01 15:24 Igor Melichev (details)

>     Fix : A dangling pointer from TExecution_Context could cause a memory corruption (continued).

> [src/ttinterp.c 1.11.2.4]

2004-07-01 15:11 Igor Melichev (details)

>     Fix (TT interpreter) : The implementation of INSTCTRL did not follow the TT specification by Apple.

> [src/ttinterp.c 1.11.2.3]

2004-06-28 17:21 Igor Melichev (details)

>     Fix : True Type grid fitting must not apply to FAPI fonts.

> [src/gxccman.c 1.7.2.4, src/lib.mak 1.126.2.9]

2004-06-24 10:28 Igor Melichev (details)

>     Fix : A dangling pointer from TExecution_Context could cause a memory corruption.

> [src/ttfmemd.c 1.6.2.2, src/ttinterp.c 1.11.2.2, src/ttobjs.c 1.6.4.2]

2004-06-24 02:04 Ralph Giles

>     Add /WhiteIsOpaque page device parameter to provide user interface
>     to the corresponding bbox device flag. Fix a bug introduced in
>     gdevbbox.c v.1.9 (for bug 645531) that left bdev->white and
>     bdev->black uninitialized, resulting in black objects skipped
>     as white. Fixes bugs 687410, 687478.

> [doc/Devices.htm 1.63.2.7, src/gdevbbox.c 1.11.2.2]

2004-06-23 08:39 Igor Melichev (details)

>     Porting recent changes from HEAD to GS_8_1X.

>     June 9 :
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-June/004544.html  (977)
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-June/004545.html  (977)

>     Fix (type 1 hinter) :
>     1. Ever align the Y-coordinate of a glyph origin to pixels.
>     2. Improve the unaligned pole interpolation;
>     3. Set a waeaker angle threshold in t1_hinter__is_stem_hint_applicable.
>     4. Allow an offset fuzz in t1_hinter__is_stem_hint_applicable.
>     5. Align upper/lower horizontal stems by the upper/lower edge.
>     6. A dependency was missed in lib.mak .

> [src/gxchar.c 1.27.2.4, src/gxhintn.c 1.21.2.8, src/gxhintn.h 1.12.2.2]

2004-06-18 18:02 Igor Melichev (details)

>     Porting recent changes from HEAD to GS_8_1X.

>     May 26-27 :
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-May/004502.html  (964)
>     Fix (pdfwrite) : Wrong /Matrix from /BP pdfmark.

>     http://www.ghostscript.com/pipermail/gs-cvs/2004-May/004506.html  (965)
>     (pdfwrite) : Delaying the charproc insertion until it is accumulated.

>     http://www.ghostscript.com/pipermail/gs-cvs/2004-May/004507.html  (966)
>     (pdfwrite) : 1. Implementing a dynamic recongnition for Type 3 charproc variations;
>     2. Bug : Viewer state could desynchronize when entering a charproc accumulation.

>     June 1-16 :
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-June/004533.html  (968)
>     (pdfwrite) : Implementing a dynamic recongnition for Type 3 charproc variations (continued).

>     http://www.ghostscript.com/pipermail/gs-cvs/2004-June/004534.html  (969)
>     High level devices may need a device color while executing stringwidth.

>     http://www.ghostscript.com/pipermail/gs-cvs/2004-June/004535.html  (970)
>     (pdfwrite) : Implementing a dynamic recongnition for Type 3 charproc variations (continued 2).

>     http://www.ghostscript.com/pipermail/gs-cvs/2004-June/004536.html  (971)
>     Fix : A Cygwin/gcc warning

>     http://www.ghostscript.com/pipermail/gs-cvs/2004-June/004540.html  (973)
>     Fix (pdfwrite) : ConvertCMYKImagesToRGB crashed.

>     http://www.ghostscript.com/pipermail/gs-cvs/2004-June/004541.html  (974)
>     Fix (pdfwrite) : 1. After used a process color, continue using it for same client color space.
>     2. A bug in pdf_set_initial_color could miss some color commands.

>     http://www.ghostscript.com/pipermail/gs-cvs/2004-June/004542.html  (975)
>     (pdfwrite) : Implementing a dynamic recongnition for Type 3 charproc variations (continued 3).

>     http://www.ghostscript.com/pipermail/gs-cvs/2004-June/004543.html  (976)
>     Bug 687487 "(pdfwrite) redundant ExtGState objects".

>     http://www.ghostscript.com/pipermail/gs-cvs/2004-June/004549.html  (980)
>     (pdfwrite) : Implementing a dynamic recongnition for Type 3 charproc variations (continued 4).

>     http://www.ghostscript.com/pipermail/gs-cvs/2004-June/004553.html  (982)
>     Fix (pdfwrite) : Allow named object reference in the Action key of /ANN pdfmark.

>     http://www.ghostscript.com/pipermail/gs-cvs/2004-June/004560.html  (986)
>     (pdfwrite) : Implementing a dynamic recongnition for Type 3 charproc variations (continued 5).

> [src/gdevpdf.c 1.67.2.9, src/gdevpdfb.c 1.18.2.3, src/gdevpdfd.c 1.27.2.4, src/gdevpdfg.c 1.31.2.4, src/devs.mak 1.91.2.8, src/gdevpdfg.h 1.21.2.3, src/gdevpdfi.c 1.45.2.5, src/gdevpdfj.c 1.24.2.5, src/gdevpdfm.c 1.28.2.5, src/gdevpdfo.c 1.19.2.7, src/gdevpdfo.h 1.16.2.3, src/gdevpdfp.c 1.30.2.5, src/gdevpdfu.c 1.40.2.7, src/gdevpdfx.h 1.68.2.7, src/gdevpdte.c 1.33.2.10, src/gdevpdtf.c 1.25.2.5, src/gdevpdtf.h 1.16.2.2, src/gdevpdti.c 1.14.2.4, src/gdevpdtt.c 1.43.2.8, src/gdevpdtt.h 1.14.2.3, src/gdevpsdi.c 1.25.2.2, src/gdevvec.h 1.11.2.2, src/gstext.c 1.11.2.4, src/gxpflat.c 1.5.2.2, src/lib.mak 1.126.2.8]

2004-06-18 15:42 Igor Melichev (details)

>     Porting recent changes from HEAD to GS_8_1X.

>     May 28 :
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-May/004508.html  (967)
>     Fix (PDF interpreter) : Wrong processing of a big CIDToGIDMap.

> [lib/pdf_font.ps 1.53.2.4]

2004-06-15 20:31 Igor Melichev (details)

>     Fix (pdfwrite) : A wrong CFF string index randiomization.

> [src/gdevpdtb.c 1.18.2.4, src/gdevpsf2.c 1.26.2.5, src/lib.mak 1.126.2.7]

2004-06-09 20:47 Igor Melichev (details)

>     Fix (type 1 hinter) : an indeterministic bug in t1_hinter__simplify_representation.

> [src/gxhintn.c 1.21.2.7]

2004-05-27 03:18 Ralph Giles (details)

>     Handle some errors that could halt the regression run.

> [toolbin/tests/gscheck_raster.py 1.3.2.4, toolbin/tests/gssum.py 1.5.2.3]

2004-05-25 10:44 Igor Melichev (details)

>     Fix (pdfwrite) : Form XObject`s /BBox could contain reals in exponential format.

> [src/gdevpdfm.c 1.28.2.4]

2004-05-25 09:24 Igor Melichev (details)

>     Fix an MSVC compiler warning.

> [src/gdevpdte.c 1.33.2.9]

2004-05-24 23:31 Ralph Giles

>     Add a missing header include for gsutil.h which provides the prototype
>     for bytes_compare(). Corrects a gcc warning.

> [src/devs.mak 1.91.2.7, src/gdevpdte.c 1.33.2.8]

2004-05-20 17:29 Igor Melichev (details)

>     Fix (pdfwrite) : Add Encoding element even if the font has no glyph.

> [src/gdevpdte.c 1.33.2.7]

2004-05-12 04:06 Ralph Giles

>     Propagate changes to the regression suite from HEAD.

> [toolbin/tests/check_all.py 1.3.2.3, toolbin/tests/check_comments.py 1.2.4.3, toolbin/tests/check_dirs.py 1.6.2.3, toolbin/tests/check_docrefs.py 1.7.2.3, toolbin/tests/check_source.py 1.5.2.3, toolbin/tests/dump_testdb 1.4.2.2, toolbin/tests/fuzzy.c 1.9.2.2, toolbin/tests/get_baselines 1.2.4.2, toolbin/tests/gscheck_all.py 1.3.2.3, toolbin/tests/gscheck_fuzzypdf.py 1.5.2.3, toolbin/tests/gscheck_pdfwrite.py 1.13.2.3, toolbin/tests/gscheck_raster.py 1.3.2.3, toolbin/tests/gsconf.py 1.9.2.2, toolbin/tests/gssum.py 1.5.2.2, toolbin/tests/gstestgs.py 1.19.2.3, toolbin/tests/gstestutils.py 1.9.2.2, toolbin/tests/make_testdb 1.10.2.2, toolbin/tests/make_two_pdfversions 1.6.2.2, toolbin/tests/make_two_versions 1.10.2.2, toolbin/tests/revert_baseline 1.10.2.2, toolbin/tests/revert_pdfbaseline 1.8.2.2, toolbin/tests/run_nightly 1.17.2.2, toolbin/tests/run_regression 1.11.2.2, toolbin/tests/testdiff 1.2.2.2, toolbin/tests/testing.cfg.example 1.2.2.2, toolbin/tests/update_baseline 1.11.2.2, toolbin/tests/update_pdfbaseline 1.7.2.2]

2004-05-06 07:47 Ralph Giles (details)

>     Limit the number of timing runs we're willing to do to detect the cache
>     size, preventing an infinite loop if the os timing calls never measure
>     appreciable elapsed time. After a patch from Patrick TJ McPhee.
>     Closes bug 687095.

> [src/genarch.c 1.5.2.2]

2004-05-01 14:34 Ralph Giles

>     Also provide a dummy 'make check' target for the 8.1x autoconf build

> [src/Makefile.in 1.24.2.4]

2004-04-03 18:52 Igor Melichev (details)

>     Porting recent patches from HEAD to GS_8_1X (step B5) :

>     April 1-2 :

>     Fix : setcachedevice must not depend on a BuildChar color and on gx_show_text_retry.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-April/004378.html  (907)

>     Fix : MSVC6 compiler warnings.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-April/004380.html  (908)

>     Fix : Cygwin/gcc compiler warnings.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-April/004381.html  (909)

>     Fix (Type 1 hinter) : Skip empty hint ranges.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-April/004382.html  (910)

>     Fix (Type 1 hinter) : Skip empty hint ranges, improved.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-April/004383.html  (911)

>     Fix : Restoring the non-cache-device constraint in setcolor.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-April/004385.html  (912)

>     Fix (pdfwrite) : /XObject <<-1 0 R>> was written to a pattern dictionary.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-April/004386.html  (913)

> [src/gdevpdfj.c 1.24.2.4, src/gdevpdfo.c 1.19.2.6, src/gscolor2.c 1.14.2.2, src/gstext.c 1.11.2.3, src/gxccache.c 1.15.2.2, src/gxccman.c 1.7.2.3, src/gxchar.c 1.27.2.3, src/gxhintn.c 1.21.2.6, src/gxtext.h 1.10.2.2, src/isave.c 1.7.2.2]

2004-04-03 17:51 Igor Melichev (details)

>     Porting recent patches from HEAD to GS_8_1X (step B4) :

>     March 25 (ported separately due to a rendering difference) :

>     Fix (Type 1 hinter) : Use a weaker condition for horizontal stem recognition.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004372.html  (904)

> [src/gxhintn.c 1.21.2.5]

2004-04-03 17:37 Igor Melichev (details)

>     Porting recent patches from HEAD to GS_8_1X (step B3) :

>     March 12-31 :

>     Fix (pdfwrite) : XObject's resources were placed wrongly.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004335.html  (891)

>     Fix (pdfwrite) : Crash after adding a glyph over a preallocated limit of a CIDFontType 2.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004336.html  (892)

>     Fix (PDF interpreter) : CIDMap was wrongly created from CIDToGIDMap.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004337.html  (893)

>     Fix : A Cygwin/gcc warning.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004338.html  (894)

>     Fix (pdfwrite) : A floating point interrupt.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004345.html  (896)

>     Implementing is_monotonic for cubic interpolation functions.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004354.html  (899)

>     Fix (TT interpreter) : Subglyphs could be placed to wrong coordinates.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004355.html  (900)

>     Fix : GenericResourceDir was not listed in PermitFileReading.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004361.html  (902)

>     Fix (PDF interpreter) : Stack balance was broken when a CID font is not embedded.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004373.html  (905)

> [lib/gs_init.ps 1.87.2.5, lib/gs_ttf.ps 1.28.2.3, lib/pdf_font.ps 1.53.2.3, src/gdevpdfm.c 1.28.2.3, src/gdevpdtc.c 1.17.2.4, src/gdevpdte.c 1.33.2.6, src/gdevpdtf.c 1.25.2.4, src/gdevpdtt.c 1.43.2.7, src/gdevvec.c 1.18.2.2, src/gstype42.c 1.30.2.3, src/gxfcopy.c 1.25.2.5, src/ttfmain.c 1.19.2.5, src/zpcolor.c 1.7.2.3]

2004-04-03 16:54 Igor Melichev (details)

>     Porting recent patches from HEAD to GS_8_1X (step B2) :

>     March 1-11 :

>     Fix (type 1 hinter) : small resolutions caused a rangecheck.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004285.html  (863)

>     Fix (pdfwrite) : Floating point aritmetic applied to uninitialized data.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004290.html  (868)

>     Fix (pdfwrite) : Reject encryption options if no password is specified.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004291.html  (869)

>     Fix : "KeyLength" option name was misspelled in the documentation.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004292.html  (870)

>     Fix (pdfwrite) : Reject encryption options if no password is specified, improved.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004293.html  (871)

>     Fix : Cygwin/gcc warnings.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004305.html  (877) (partial)

>     Fix (Type 2 charstrings) : More tolerance and conformity.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004313.html  (882)

>     Fix (pdfwrite) : Annotations encrypted with a wrong object id.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004314.html  (883)

>     Fix (PDF interpreter) : Wrong metrics when 2 font resources for same embeded font.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004315.html  (884)

>     Fix : Some Cygwin/gcc warnings.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004328.html  (887)

>     Fix (pdfwrite) : Fall back to the default implementation when the output document can't handle current color.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-March/004331.html  (888)

> [src/devs.mak 1.91.2.6, src/gdevpdf.c 1.67.2.8, src/gdevpdfd.c 1.27.2.3, src/gdevpdfi.c 1.45.2.4, src/gdevpdfm.c 1.28.2.2, src/gdevpdte.c 1.33.2.5, src/gdevpdtt.c 1.43.2.6, src/gstype2.c 1.25.2.2, src/gxhintn.c 1.21.2.4, doc/Ps2pdf.htm 1.51.2.10, lib/pdf_font.ps 1.53.2.2]

2004-04-03 10:55 Igor Melichev (details)

>     Porting recent patches from HEAD to GS_8_1X (step B1) :

>     February 2004 :

>     Fix (pdfwrite) : provide a compatibility of TEXT_FROM_CHARS to GhostPCL.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-February/004127.html  (775)

>     Fix : Some Intel C compiler warnings.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-February/004149.html  (791)

>     Fix : Intel C and Cygwin/gcc compiler warnings.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-February/004158.html  (794)

>     Fix (pdfwrite) : Converting an image type 4 into imagemask, a wrong color was written.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-February/004210.html  (816)

>     Fix: Documented rounding formulas in the character processing.
>     http://www.ghostscript.com/pipermail/gs-cvs/2004-February/004211.html  (818)

> [src/fapiufst.c 1.22.2.2, src/gdevpdfi.c 1.45.2.3, src/gdevpdtc.c 1.17.2.3, src/gdevpdtt.c 1.43.2.5, src/gxcht.c 1.11.2.1, src/gxdhtserial.c 1.3.2.1, src/gxfcopy.c 1.25.2.4, src/gxhintn.c 1.21.2.3, src/gxht.c 1.14.2.1, src/gxttfb.c 1.19.2.3, src/ttfmain.c 1.19.2.4]

2004-03-24 23:49 Ralph Giles

>     Make proper use of the SYS_TYPES_HAS_STDINT_TYPES define. Allows proper compilation on SunOS 5.9,
>     after a patch by Alex Cherepanov. Bug 687377.

> [src/stdint_.h 1.1.2.3]

2004-03-24 08:38 Ralph Giles (details)

>     Fix some Sun ONE Studio 7 compiler warnings (Solaris 8). Bug 687355.

> [src/gdevdevn.c 1.5.2.3, src/gdevijs.c 1.6.2.2, src/gdevnfwd.c 1.8.2.2, src/gdevpdfx.h 1.68.2.6, src/gdevpng.c 1.7.2.2, src/gdevpsd.c 1.4.2.2, src/gdevpsdu.c 1.17.2.2, src/gdevpsu.c 1.15.2.2, src/gdevxcf.c 1.5.2.1, src/gsdfilt.c 1.7.2.2, src/gximag3x.c 1.14.2.1, src/szlibd.c 1.5.2.2, src/ttfmain.c 1.19.2.3]

2004-03-24 07:30 Igor Melichev (details)

>     Fix (pdfwrite) : TK was written into a charproc.

> [src/gdevpdfg.c 1.31.2.3]

2004-03-22 01:39 Ralph Giles

>     SunOS 5.9 does not properly replace files with ln -sf. Unlink the
>     existing files instead. Bug 687378.

> [autogen.sh 1.3.6.1]

2004-03-10 05:15 Raph Levien

>     Fix problem with dci.max_components introduced with DeviceN changes. Closes bug #677383.
>     Fix problem with dci.max_components introduced with DeviceN changes.
>     Closes bug #677383.

> [src/gdevijs.c 1.6.2.1]

2004-02-25 20:38 Russell Lang (details)

>     Fixes bug 687317.
>     Fix pdfwrite allowable Permissions for EncryptionR=2.
>     Fix default Permissions.

> [src/gdevpdf.c 1.67.2.7]